package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 工厂仓库
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="T_WMS_WAREHOUSE")
@Api("工厂仓库信息")
public class WareHouse extends BaseBean {

    @Column(name="code")
    @ApiParam("仓库代码")
    public String code;

    @Column(name="name")
    @ApiParam("仓库名称")
    public String name;

    @Column(name="address")
    @ApiParam("仓库地址")
    public String address;

    @Column(name="telephone")
    @ApiParam("仓库电话号码")
    public String telephone;

    @Column(name="fax")
    @ApiParam("仓库传真号码")
    public String fax;

    @Column(name="contact")
    @ApiParam("联系人")
    public String contact;
}
